Skip to main content
GET
/
api
/
v1
/
candidates
List candidates
curl --request GET \
  --url https://app.outhire.ai/api/v1/candidates \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://app.outhire.ai/api/v1/candidates"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://app.outhire.ai/api/v1/candidates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "id": 419,
      "public_id": "e3745169-a137-4b99-8fcc-373d6d4c8d60",
      "name": "Jane Doe",
      "email": "jane@example.com",
      "phone": "+61412345678",
      "linkedin": "https://linkedin.com/in/janedoe",
      "location": "Sydney, Australia",
      "stage": "applied",
      "rating": 4,
      "fit_score": 82,
      "application_source": "public_api",
      "ats_candidate_id": "ext-456",
      "job": {
        "id": 40,
        "title": "Senior Engineer"
      },
      "created_at": "2026-03-11T10:21:54.289003Z",
      "updated_at": "2026-03-11T10:21:54.544000Z",
      "applied_at": "2026-03-11T10:21:54.289003Z",
      "resume_url": "https://api.outhire.ai/storage/cv/example.pdf?token=eyJhbGciOiJIUzI1NiIs...",
      "resume_data": {
        "personalInfo": {
          "name": "Jane Doe",
          "email": "jane@example.com"
        },
        "summary": "Senior engineer with 8 years of experience"
      },
      "resume_status": "processed"
    }
  ],
  "pagination": {
    "has_more": true,
    "next_cursor": "eyJvZmZzZXQiOjI1fQ"
  }
}
{
"error": {
"code": "validation_error",
"message": "Request validation failed.",
"details": [
{
"field": "email",
"message": "Invalid email"
}
]
}
}
{
"error": {
"code": "unauthorized",
"message": "Missing or invalid API key."
}
}
{
"error": {
"code": "validation_error",
"message": "Request validation failed.",
"details": [
{
"field": "email",
"message": "Invalid email"
}
]
}
}
{
"error": {
"code": "validation_error",
"message": "Request validation failed.",
"details": [
{
"field": "email",
"message": "Invalid email"
}
]
}
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

limit
integer
default:25

Page size. Defaults to 25. Maximum 100.

Required range: 1 <= x <= 100
cursor
string

Opaque cursor returned by the previous page.

job_id
integer

Filter by numeric job id.

Required range: x >= 1
email
string<email>

Filter by normalized candidate email.

stage
enum<string>

Filter by stage. Candidate pipeline stages currently accepted by the public API.

Available options:
prospect,
applied,
phonescreen,
inprogress,
hired,
rejected
created_after
string<date-time>

ISO8601 timestamp lower bound for created_at.

created_before
string<date-time>

ISO8601 timestamp exclusive upper bound for created_at.

updated_after
string<date-time>

ISO8601 timestamp lower bound for updated_at.

sort
enum<string>
default:created_at

Sort field.

Available options:
created_at,
updated_at,
name
order
enum<string>
default:desc

Sort order.

Available options:
asc,
desc

Response

Candidates list

Candidate list response with pagination metadata.

data
object[]
required
pagination
object
required

Cursor pagination metadata returned by list endpoints.